var dir = Folder.selectDialog("Where?");
var files = dir.getFiles();

for (var f = 0; f < files.length; f++) {
    var folder = new Folder(files[f]);
    var ai_files = folder.getFiles("*.ai");

    for (var i = 0; i < ai_files.length; i++) {
        var doc = app.open(ai_files[i]);

       

        // Export as SVG
        var svgFile = new File(ai_files[i].fullName.replace(".ai", ".svg"));
        var exportOptionsSVG = new ExportOptionsSVG();
        exportOptionsSVG.artboardRange = i + 1; // Export current artboard
        app.activeDocument.exportFile(svgFile, ExportType.SVG, exportOptionsSVG);

        // Export as JPEG
        var exportOptionsJPEG = new ExportOptionsJPEG();
        exportOptionsJPEG.artBoardClipping = true;
        var jpegFile = new File(ai_files[i].fullName.replace(".ai", ".jpg"));
        app.activeDocument.exportFile(jpegFile, ExportType.JPEG, exportOptionsJPEG);

        // Export as PSD
        var psdFile = new File(ai_files[i].fullName.replace(".ai", ".psd"));
        var exportOptionsPSD = new ExportOptionsPhotoshop();
        app.activeDocument.exportFile(psdFile, ExportType.PHOTOSHOP, exportOptionsPSD);

        // Export as PDF
        var pdfFile = new File(ai_files[i].fullName.replace(".ai", ".pdf"));
        var exportOptionsPDF = new PDFSaveOptions();
        app.activeDocument.saveAs(pdfFile, exportOptionsPDF);

        // Capture PNG images for each artboard
        var numArtboards = doc.artboards.length;
        var filePath = folder.fullName.toString().replace(/\\/g, '/');
        var options = new ImageCaptureOptions();
        for (var j = 0; j < numArtboards; j++) {
            doc.artboards.setActiveArtboardIndex(j);
            var activeAB = doc.artboards[doc.artboards.getActiveArtboardIndex()];
            options.artBoardClipping = false;
            options.resolution = 300;
            options.antiAliasing = false;
            options.matte = false;
            options.horizontalScale = 100;
            options.verticalScale = 100;
            options.transparency = true;
            // Get the original file name without extension
var originalFileName = ai_files[i].name.replace(".ai", "");

// Generate PNG file name
var pngFileName = originalFileName + ".png";
var pngFile = new File(filePath + "/" + pngFileName);

doc.imageCapture(pngFile, app.activeDocument.geometricBounds, options);

        }

        // Close the AI file without saving changes
        doc.close(SaveOptions.DONOTSAVECHANGES);
    }
}
